Gecode::AllVarConf Class Reference

Configuration for all variable implementations. More...

`#include <var-type.hpp>`

## Static Public Member Functions

static ModEventDelta | med_combine (ModEventDelta med1, ModEventDelta med2)
| Combine modification event delta med1 with med2.

## Static Public Attributes

static const int | idx_c = Gecode::Float::FloatVarImpConf::idx_c+1
| Index for cloning.
static const int | idx_d = Gecode::Float::FloatVarImpConf::idx_d+1
| Index for dispose.

## Detailed Description

Configuration for all variable implementations.

Definition at line 456 of file var-type.hpp.

## Member Function Documentation

## med_combine()

ModEventDelta Gecode::AllVarConf::med_combine | ( | ModEventDelta | med1,
|  | ModEventDelta | med2 )

inline static

Combine modification event delta med1 with med2.

Definition at line 889 of file var-type.hpp.

## Member Data Documentation

## idx_c

const int Gecode::AllVarConf::idx_c = Gecode::Float::FloatVarImpConf::idx_c+1

static

Index for cloning.

Definition at line 459 of file var-type.hpp.

## idx_d

const int Gecode::AllVarConf::idx_d = Gecode::Float::FloatVarImpConf::idx_d+1

static

Index for dispose.

Definition at line 461 of file var-type.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/var-type.hpp